| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
StratosharkAboutDialog Class Reference

Stratoshark-specific About dialog, extending the shared AboutDialog with Stratoshark branding and version information. More...

`#include <stratoshark_about_dialog.h>`

Inheritance diagram for StratosharkAboutDialog:

## Public Member Functions
| StratosharkAboutDialog (QWidget *parent=0)
| Constructs the Stratoshark About dialog.
virtual | ~StratosharkAboutDialog ()
| Destroys the dialog.
Public Member Functions inherited from AboutDialog
| AboutDialog (QWidget *parent=0)
| Construct an AboutDialog.
virtual | ~AboutDialog ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from AboutDialog
virtual bool | event (QEvent *event) override
| Handle application-level events such as palette or font changes.
virtual void | showEvent (QShowEvent *event) override
| Populate dynamic content the first time the dialog is shown.
const char * | getVCSVersion ()
| Return the VCS (Git) revision string embedded at build time.
QLabel * | labelLogo () const
| Return the logo QLabel widget.
QLabel * | labelTitle () const
| Return the application title QLabel widget.
QTabWidget * | tabWidget () const
| Return the main QTabWidget containing all About tabs.
QWidget * | tabWireshark () const
| Return the "Wireshark" summary tab widget.

## Detailed Description

Stratoshark-specific About dialog, extending the shared AboutDialog with Stratoshark branding and version information.

## Constructor & Destructor Documentation

## ◆ StratosharkAboutDialog()

StratosharkAboutDialog::StratosharkAboutDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs the Stratoshark About dialog.

Parameters

  parent | Optional parent widget.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_about_dialog.h
- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_about_dialog.cpp